org.etsi.uri._01903.v1_3

## Class CommitmentTypeIndication

- java.lang.Object
- - org.etsi.uri._01903.v1_3.CommitmentTypeIndication

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T10:56:39+01:00",
                 comments="JAXB RI v2.2.11")
      public class CommitmentTypeIndication
      extends Object
      implements Serializable

  Java class for CommitmentTypeIndicationType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="CommitmentTypeIndicationType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="CommitmentTypeId" type="{http://uri.etsi.org/01903/v1.3.2#}ObjectIdentifierType"/>
               <choice>
                 <element name="ObjectReference" type="{http://www.w3.org/2001/XMLSchema}anyURI" maxOccurs="unbounded"/>
                 <element name="AllSignedDataObjects" type="{http://www.w3.org/2001/XMLSchema}anyType"/>
               </choice>
               <element name="CommitmentTypeQualifiers" type="{http://uri.etsi.org/01903/v1.3.2#}CommitmentTypeQualifiersListType" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommitmentTypeIndication()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getAllSignedDataObjects()` Gets the value of the allSignedDataObjects property.
    `ObjectIdentifier` | `getCommitmentTypeId()` Gets the value of the commitmentTypeId property.
    `CommitmentTypeQualifiersListType` | `getCommitmentTypeQualifiers()` Gets the value of the commitmentTypeQualifiers property.
    `List<String>` | `getObjectReferences()` Gets the value of the objectReferences property.
    `void` | `setAllSignedDataObjects(Object value)` Sets the value of the allSignedDataObjects property.
    `void` | `setCommitmentTypeId(ObjectIdentifier value)` Sets the value of the commitmentTypeId property.
    `void` | `setCommitmentTypeQualifiers(CommitmentTypeQualifiersListType value)` Sets the value of the commitmentTypeQualifiers property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CommitmentTypeIndication

          public CommitmentTypeIndication()

  - ### Method Detail

    - #### getCommitmentTypeId

          public ObjectIdentifier getCommitmentTypeId()

      Gets the value of the commitmentTypeId property.
      Returns:
        possible object is `ObjectIdentifier`

    - #### setCommitmentTypeId

          public void setCommitmentTypeId(ObjectIdentifier value)

      Sets the value of the commitmentTypeId property.
      Parameters:
        `value` - allowed object is `ObjectIdentifier`

    - #### getAllSignedDataObjects

          public Object getAllSignedDataObjects()

      Gets the value of the allSignedDataObjects property.
      Returns:
        possible object is `Object`

    - #### setAllSignedDataObjects

          public void setAllSignedDataObjects(Object value)

      Sets the value of the allSignedDataObjects property.
      Parameters:
        `value` - allowed object is `Object`

    - #### getObjectReferences

          public List<String> getObjectReferences()

      Gets the value of the objectReferences property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the objectReferences property.

      For example, to add a new item, do as follows:

              getObjectReferences().add(newItem);

      Objects of the following type(s) are allowed in the list `String`

    - #### getCommitmentTypeQualifiers

          public CommitmentTypeQualifiersListType getCommitmentTypeQualifiers()

      Gets the value of the commitmentTypeQualifiers property.
      Returns:
        possible object is `CommitmentTypeQualifiersListType`

    - #### setCommitmentTypeQualifiers

          public void setCommitmentTypeQualifiers(CommitmentTypeQualifiersListType value)

      Sets the value of the commitmentTypeQualifiers property.
      Parameters:
        `value` - allowed object is `CommitmentTypeQualifiersListType`

Connector Packaging PERSLOGOPEDIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.